function TimeSpeedEffectTweakData:_init_base_effects()
	self.mask_on = {
		speed = 0,
		fade_in_delay = 0,
		fade_in = 0,
		sustain = 0,
		fade_out = 0,
		timer = "pausable"
	}
	self.mask_on_player = {
		speed = self.mask_on.speed or 0,
		fade_in_delay = self.mask_on.fade_in_delay or 0,
		fade_in = self.mask_on.fade_in or 0,
		sustain = self.mask_on.sustain or 0,
		fade_out = self.mask_on.fade_out or 0,
		timer = self.mask_on.timer,
		affect_timer = "player"
	}
	self.downed = {
		speed = 0,
		fade_in = 0,
		sustain = 0,
		fade_out = 0,
		timer = "pausable"
	}
	self.downed_player = {
		speed = self.downed.speed or 0,
		fade_in = self.downed.fade_in or 0,
		sustain = self.downed.sustain or 0,
		fade_out = self.downed.fade_out or 0,
		timer = self.downed.timer,
		affect_timer = "player"
	}
end

function TimeSpeedEffectTweakData:_init_mission_effects()
	self.mission_effects = {}
	self.mission_effects.quickdraw = {
		speed = 0,
		fade_in_delay = 0,
		fade_in = 0,
		sustain = 0,
		fade_out = 0,
		timer = "pausable",
		sync = true
	}
	self.mission_effects.quickdraw_player = {
		speed = self.mission_effects.quickdraw.speed or 0,
		fade_in_delay = self.mission_effects.quickdraw.fade_in_delay or 0,
		fade_in = self.mission_effects.quickdraw.fade_in or 0,
		sustain = self.mission_effects.quickdraw.sustain or 0,
		fade_out = self.mission_effects.quickdraw.fade_out or 0,
		timer = "pausable",
		affect_timer = "player",
		sync = true
	}
end